@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@100;300;400;500;700;900&display=swap');

* {
    padding: 0px;
    margin: 0px;
}

body {
    background-color: #e5e5e5;
    font-family: 'Roboto', sans-serif !important;
    box-sizing: border-box;
    padding: 0px;
}

.div-wrapper {
    margin-top: 16px;
    padding: 0px 20px;
}

a:hover {
    text-decoration: none !important;
}

.menu-active {
    color: #fff;
}

/* ===================================
OVERRIDES
======================================= */

.btn {
    border-radius: 6px !important;
}

.btn-primary {
    background-color: #3076b2 !important;
    border: #3076b2;
}

h5 {
    font-size: 24px;
}

.panel {
    border-radius: 12px !important;
}

.panel-heading:hover {
    cursor: pointer !important;
}

.panel-heading {
    border-top-left-radius: 12px !important;
    border-top-right-radius: 12px !important;
}

.diagnosis-card {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.diagnosis-card:hover {
    cursor: pointer !important;
}

.diet-card:hover {
    cursor: pointer !important;
}

/*Icons over ride*/
.table td a {
    color: #858585 !important;
}

.link {
    color: #858585 !important;
}

.pres_card .panel-body {
    padding: 0px !important;
}

.old_pres_card .panel-body {
    padding: 0px !important;
    min-height: 16px !important;
}

.pres_card .panel-body .symptoms_body {
    padding: 12px 15px;
    border-bottom: 1px solid #E6E7E9 !important;
}

.old_pres_card .panel-body .symptoms_body {
    padding: 12px 15px;
    border-bottom: 1px solid #E6E7E9 !important;
}

.pres_card .panel-body .symptoms_body:last-child {
    border-bottom: none !important;
}

.old_pres_card .panel-body .symptoms_body:last-child {
    border-bottom: none !important;
}

.pres_card .panel-body a {
    color: transparent !important;
    transition: 300ms;
}

.old_pres_card .panel-body a {
    color: #858585 !important;
    transition: 300ms;
}

.pres_card .panel-body .symptoms_body:hover a {
    display: inline;
    color: #858585 !important;
    transition: 300ms;
}


/*.pres_card .panel-body a:hover {*/
/*    display: inline;*/
/*    color: #858585 !important;*/
/*    transition: 300ms;*/
/*}*/

/* Main Body */
.main_body {
    /*padding-top: 12px;*/
    width: 100%;
    margin-bottom: 0px !important;
}

.page_heading {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 30px;
}

@media (max-width: 900px) {
    .page_heading {
        display: flex;
        flex-direction: column;
        justify-content: start;
    }

    .heading_right {
        display: flex;
        flex-direction: column;
        justify-content: start;
    }

    .border-dark {
        border: none !important;
    }
}


/*==================
MODAL
====================*/
.modal.left .modal-dialog,
.modal.right .modal-dialog {
    position: fixed;
    margin: auto;
    min-width: 320px;
    height: 100%;
    -webkit-transform: translate3d(0%, 0, 0);
    -ms-transform: translate3d(0%, 0, 0);
    -o-transform: translate3d(0%, 0, 0);
    transform: translate3d(0%, 0, 0);
}

.modal.left .modal-content,
.modal.right .modal-content {
    height: 100%;
    overflow-y: auto;
}

.modal.left .modal-body,
.modal.right .modal-body {
    padding: 15px 15px 15px;
}

/*Left*/
.modal.left.fade .modal-dialog {
    left: -320px;
    -webkit-transition: opacity 0.3s linear, left 0.3s ease-out;
    -moz-transition: opacity 0.3s linear, left 0.3s ease-out;
    -o-transition: opacity 0.3s linear, left 0.3s ease-out;
    transition: opacity 0.3s linear, left 0.3s ease-out;
}

.modal.left.fade.in .modal-dialog {
    left: 0;
}

/*Right*/
.modal.right.fade .modal-dialog {
    right: -320px;
    -webkit-transition: opacity 0.3s linear, right 0.3s ease-out;
    -moz-transition: opacity 0.3s linear, right 0.3s ease-out;
    -o-transition: opacity 0.3s linear, right 0.3s ease-out;
    transition: opacity 0.3s linear, right 0.3s ease-out;
}

.modal.right.fade.in .modal-dialog {
    right: 0;
}

/* ----- MODAL STYLE ----- */
.modal-content {
    border-radius: 0;
    border: none;
}

.modal-header {
    background-color: #0c0c42;
    color: #fafafa;
    font-size: 18px;
    font-weight: bolder;
}

.modal-footer {
    background-color: #0c0c42;
    border-radius: 10px;
    border-top: 5px solid #ccc;
    margin: 5px;
    padding: 8px;
}




/*================================================
Prescription Sidebar
====================================================*/

.pres-wrapper {
    display: flex;
    min-height: 100vh;
    padding: 0px;
    margin: 0px;
}

.pres_left {
    max-height: 100vh;
    overflow-y: scroll;
}

.pres_left::-webkit-scrollbar {
    width: 2px;
}

.pres_left::-webkit-scrollbar-track {
    box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
    border-radius: 12px;
}

.pres_left::-webkit-scrollbar-thumb {
    background-color: darkgrey;
    outline: 1px solid slategrey;
}

.pres-sidebar::-webkit-scrollbar {
    width: 2px;
}

.pres-sidebar::-webkit-scrollbar-track {
    box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
    border-radius: 12px;
}

.pres-sidebar::-webkit-scrollbar-thumb {
    background-color: darkgrey;
    outline: 1px solid slategrey;
}

hr {
    margin: 6px 0px;
    border-top: 1px solid rgba(255, 255, 255, 0.12);
}

.pres_header h5 {
    font-size: 24px;
    font-weight: 500;
}

.pres-sidebar {
    min-height: 100vh;
    width: 280px;
    background-color: #0c0c42;
    padding: 12px 16px;
    overflow-y: scroll;
}

.pres-sidebar .title {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
}

.pres-sidebar .title h5 {
    color: #e6e7e9;
    font-size: 18px;
}

.pres-sidebar .title i {
    color: #e6e7e9;
    font-size: 16px;
}

.pres-sidebar .paitent-info {
    padding: 8px;
    background-color: rgba(255, 255, 255, 0.12);
    border-radius: 8px;
    margin: 12px 0px;
}

.pres-sidebar .paitent-info .paitent-bio {
    display: flex;
    justify-content: start;
    align-items: center;
}

.pres-sidebar .paitent-info .paitent-bio img {
    width: 35px;
    height: 35px;
    border-radius: 50%;
    object-fit: cover;
    margin: 0px 8px;
}

.pres-sidebar .paitent-info .paitent-bio .paitent-details p {
    color: white;
    margin-bottom: 0px;
}

.pres-sidebar .paitent-info .paitent-add {
    color: #e6e7e9;
    font-size: 12px;
    margin-top: 12px;
}

.pres-sidebar .paitent-info .paitent-types {
    color: #e6e7e9;
    font-size: 12px;
    font-weight: 500;
    text-transform: capitalize;
    text-align: center;
    margin: 0px 12px;
}

.pres-sidebar .paitent-info .paitent-types p:hover {
    cursor: pointer;
}

.pres-sidebar .refered-by p {
    color: rgba(255, 255, 255, 0.7);
    font-weight: 700;
    margin-bottom: 12px;
}

.pres-sidebar .refered-by .ref-name {
    width: auto;
    background-color: rgba(255, 255, 255, 0.08);
    padding: 8px;
    font-weight: 400;
    border-radius: 6px;
}

.pres-sidebar .history_others {
    margin: 12px 0px;
    display: flex;
    flex-direction: column;
    margin: 12px 0px;
}

.pres-sidebar .history_others a {
    color: #fff;
    opacity: 70%;
    margin: 6px 0px;
}

.pres-sidebar .history_others a:hover {
    text-decoration: none;
    color: #fff;
    opacity: 100%;
    cursor: pointer;
}

.pres-sidebar .next-visit {
    margin: 12px 0px;
}

.pres-sidebar .next-visit p {
    color: rgba(255, 255, 255, 0.7);
    font-weight: 700;
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 8px;
}

.pres-sidebar .next-visit .nxt-visit-date {
    width: 100%;
    background-color: rgba(255, 255, 255, 0.08);
    padding: 8px;
    border-radius: 6px;
    color: rgba(255, 255, 255, 0.7);
    z-index: 99;
    overflow-x: visible;
}

.pres-sidebar .ref-to {
    margin: 12px 0px;
}

.pres-sidebar .ref-to P {
    color: rgba(255, 255, 255, 0.7);
    font-weight: 700;
}

.pres-sidebar .ref-to .ref-to-name {
    width: 100%;
    background-color: rgba(255, 255, 255, 0.08);
    padding: 8px;
    border-radius: 6px;
    color: rgba(255, 255, 255, 0.7);
    z-index: 999;
}

.pres-sidebar .appointments {
    margin: 12px 0px;
}

.pres-sidebar .appointments .appointment-box {
    width: 100%;
    background-color: rgba(255, 255, 255, 0.08);
    padding: 8px;
    border-radius: 6px;
    color: rgba(255, 255, 255, 0.7);
}

.pres-sidebar .appointments .appointment-box h5 {
    font-size: 14px;
    font-weight: 500;
    color: rgba(255, 255, 255, 1);
}

.pres-sidebar .appointments .appointment-box p {
    margin-bottom: 0px;
    color: rgba(255, 255, 255, 1);
}

/*==================================
 Prescription
 ===================================*/

.prescription-with-menu {
    width: calc(100vw - 280px);
    padding: 0px 12px;
    overflow-x: hidden;
    margin-top: 12px;
}


.prescription-no-menu {
    width: 100vw;
    padding: 0px 12px;
    overflow-x: hidden;
    margin-top: 12px;
}


.prescription {
    width: calc(100vw - 280px);
    padding: 0px 12px;
    overflow-x: hidden;
    margin-top: 12px;
}

.prescription .panel {
    border-radius: 16px;
}


.prescription .panel-heading {
    border-bottom: 1px solid #e6e7e9;
    font-weight: 700;
    font-size: 14px;
}

.prescription-with-menu .panel-heading {
    border-bottom: 1px solid #e6e7e9;
    font-weight: 700;
    font-size: 14px;
}

.prescription-no-menu .panel-heading {
    border-bottom: 1px solid #e6e7e9;
    font-weight: 700;
    font-size: 14px;
}

.prescription .panel-body p {
    margin-bottom: 0px;
    font-weight: 700;
}

.prescription-with-menu .panel-body p {
    margin-bottom: 0px;
    font-weight: 700;
}

.prescription-no-menu .panel-body p {
    margin-bottom: 0px;
    font-weight: 700;
}


.prescription .pres_header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 16px;
}

.prescription-with-menu .pres_header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 16px;
}

.prescription-no-menu .pres_header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 16px;
}

.pres_header h5 i {
    margin-right: 12px;
}

.pres_header h5 i {
    color: #0C0C42;
}

.pres_header a:hover {
    cursor: pointer;
}


.prescription .pres_header h5:hover {
    cursor: pointer;
}


.prescription .pres_header img {
    width: 30px;
    height: 30px;
    border-radius: 50%;
    object-fit: cover;
}

.prescription-with-menu .pres_header img {
    width: 30px;
    height: 30px;
    border-radius: 50%;
    object-fit: cover;
}

.prescription-no-menu .pres_header img {
    width: 30px;
    height: 30px;
    border-radius: 50%;
    object-fit: cover;
}


/*===================
Appointment
=======================*/
.nav-right a:hover {
    text-decoration: none;
    font-weight: 500;
}

.side-bar {
    display: none;
    z-index: 99;
    background-color: #0C0C42;
    transition: 0.7s ease;
}

.side-bar .menu .item .username {
    font-size: 18px;
    font-weight: 500;
    padding: 10px 15px;
    display: flex;
    justify-content: start;
    align-items: center;
}

.side-bar .menu .item .username img {
    width: 40px;
    height: 40px;
    object-fit: cover;
    border-radius: 50%;
    margin-right: 8px;
}

.side-bar {
    backdrop-filter: blur(15px);
    width: 280px;
    min-height: 100vh;
    position: fixed;
    top: 0;
    left: 0;
    overflow-y: auto;
    transition: 0.6s ease;
    transition-property: left;
}

.side-bar.active {
    left: 0;
}

.side-bar .menu {
    width: 100%;
    margin-top: 10px;
}

.side-bar .menu .item {
    position: relative;
    cursor: pointer;
    margin-bottom: 12px;
}

.side-bar .menu .item a {
    display: flex;
    justify-content: space-between;
    align-items: center;
    color: #fff;
    font-size: 14px;
    text-decoration: none;
    padding: 5px 15px;
    line-height: 18px;
}

.side-bar .menu .item a:hover {
    transition: 0.3s ease;
}

.side-bar .menu .item i {
    margin-right: 15px;
    color: #a6a6a6;
}

.side-bar .menu .item a .dropdown {
    /*position: absolute;*/
    /*right: 0;*/
    /*margin: 3px;*/
    transition: 0.3s ease;
}

.side-bar .menu .item .sub-menu {
    /* background: rgba(255, 255, 255, 0.1); */
    display: none;
    margin-left: 60px;
    border-left: 1px solid;
}

.side-bar .menu .item .sub-menu a {
    margin: 12px 0px;
    font-size: 14px;
    font-weight: 300 !important;
    color: #a6a6a6;
}

.side-bar .menu .item .sub-menu a:hover {
    color: #fff;
    transition: 300ms;
}

.rotate {
    transform: rotate(90deg);
}

.appointment_top_head {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-top: 16px
}

.appointment_top_head p {
    font-size: 24px;
    font-weight: 500;
    text-transform: uppercase;
    margin-bottom: 18px;
}

.appointment_top_head p:hover {
    cursor: pointer;
}

.apointment_table {
    background-color: #f5f5f5;
}

.apointment_table table th {
    color: rgba(0, 0, 0, 0.8) !important;
    font-weight: 500;
}

.apointment_table table td {
    padding: 16px 0px !important;
    border-top: 1px solid rgba(0, 0, 0, 0.3);
}


/*===================
 USER MANAGEMENT
=======================*/
.user_layout {
    min-height: 100vh;
    display: flex;
}

.user_sidemenu {
    width: 280px;
}

.user_body {
    width: calc(100% - 280px);
}

.user_body .btn {
    border: 1px solid rgb(197 197 197) !important;
}

.user_top_head {
    display: flex;
    justify-content: end;
    align-items: center;
}

.user_top_head p {
    font-weight: 500;
    font-size: 18px;
}

/*===================
 DRUGS
=======================*/

.drug-top-select {
    margin: 12px 0px;
    padding: 24px;
    border-radius: 12px;
    background-color: #fff;
}

.drug-table {
    width: 100%;
    background-color: #fff;
    border-radius: 12px;
    padding: 0px;
}

.nav-right a:hover {
    text-decoration: none;
    font-weight: 500;
}

.side-bar .menu .item .username {
    font-size: 18px;
    font-weight: 500;
    padding: 30px 15px;
    display: flex;
    justify-content: start;
    align-items: center;
}

.side-bar .menu .item .username img {
    width: 40px;
    height: 40px;
    object-fit: cover;
    border-radius: 50%;
    margin-right: 8px;
}

.side-bar {
    backdrop-filter: blur(15px);
    /*width: 280%;*/
    min-height: 100vh;
    position: fixed;
    top: 0;
    left: 0;
    overflow-y: auto;
    transition: 0.6s ease;
    transition-property: left;
}

.side-bar.active {
    left: 0;
}

.side-bar .menu {
    width: 100%;
    margin-top: 10px;
}

.side-bar .menu .item {
    position: relative;
    cursor: pointer;
    margin-bottom: 12px;
}

.side-bar .menu .item a {
    display: flex;
    justify-content: space-between;
    align-items: center;
    color: #fff;
    font-size: 14px;
    text-decoration: none;
    padding: 5px 15px;
    line-height: 18px;
}

.side-bar .menu .item a:hover {
    transition: 0.3s ease;
}

.side-bar .menu .item i {
    margin-right: 15px;
    color: #a6a6a6;
}

.side-bar .menu .item a .dropdown {
    /*position: absolute;*/
    /*right: 0;*/
    /*margin: 3px;*/
    transition: 0.3s ease;
}

.side-bar .menu .item .sub-menu {
    /* background: rgba(255, 255, 255, 0.1); */
    display: none;
    margin-left: 60px;
    border-left: 1px solid;
}

.side-bar .menu .item .sub-menu a {
    margin: 12px 0px;
    font-size: 14px;
    font-weight: 300 !important;
    color: #a6a6a6;
}

.side-bar .menu .item .sub-menu a:hover {
    color: #fff;
    transition: 300ms;
}

.rotate {
    transform: rotate(90deg);
}

.apointment_table {
    background-color: #f5f5f5;
}

.history .panel-body {
    padding: 0px !important;
}

.history .table th {
    color: rgba(0, 0, 0, 0.48);
}

.selected {
    background-color: silver;
}

.its-a-link {
    cursor: pointer;
}

.no-data {
    font-weight: 500;
    text-align: center;
    padding: 12px;
    color: #a6a6a6;
}

.app-table :hover{
    /*background-color: #0C0C42 !important;
    color: whitesmoke;*/
}
.old-pres-icon{
    margin-right: 10px;
    cursor: pointer;
}
.app-visited{
    color: #e4b8b8;
}

.trim-info {
    display: inline-block;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    line-height: 15px;
    position: relative;
}
.advice-row{
    line-height: 30px;
}
.newDrugName{
    text-transform: uppercase;
}
.drug-modal-header{
    font-size: 16px;
    font-weight: bold;
}
.drug-modal-text{
    font-size: 10px;
    font-weight: bold;
}